Skip to main content
`Ctrl`+`K`

# VecGetValuesSection

Gets all the values associated with a given point, according to the section, in the given `Vec`

## Synopsis

    #include "petscsection.h"
    #include "petscvec.h"
    PetscErrorCode VecGetValuesSection(Vec v, PetscSection s, PetscInt point, PetscScalar *values[])

Not Collective

## Input Parameters

- v - the `Vec`

- s - the organizing `PetscSection`

- point - the point

## Output Parameter

- values - the array of output values

## See Also

`PetscSection`, `PetscSectionCreate()`, `VecSetValuesSection()`

## Level

developer

## Location

src/vec/vec/utils/vsection.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages